
Redmine - Feature #12066

Don't show issues for closed projects in all issues list

2012-10-11 01:57 - Oregon State University Central Web Services

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

Currently, in version 2.1.2, when you go to all projects, it lets you show closed projects.

When you look at all issues, it by default shows all issues in the project list, including closed projects.

Ideally we would have the same functionality in the all issues, to include issues from closed projects, but not by default.

Related issues:

Related to Redmine - Defect #21210: Issues and Spent Time of closed subprojec... New

Related to Redmine - Feature #20081: Filter issues and time entries by projec... Closed

Has duplicate Redmine - Defect #19462: Dont show Issues from closed projects Closed

History

#1 - 2012-10-11 01:59 - Oregon State University Central Web Services

This is related to issues #4202 and #3640

#2 - 2012-10-16 06:33 - Toshi MARUYAMA

- Category set to Issues

#3 - 2012-10-19 10:12 - Oregon State University Central Web Services

- File patch-2.1.2-closed_projects.out added

Here are the changes we made to get this to work

#4 - 2015-01-05 12:46 - Konstantin Tkachenko

I think it could be better to enable filtering by active or closed projects in the issues queries. Just as for the issue status filter criteria (status => open,

status => closed).

Currently one have to select all the active projects to be able to hide all the closed ones.

#5 - 2015-04-05 06:27 - Go MAEDA

- Has duplicate Defect #19462: Dont show Issues from closed projects added

#6 - 2015-11-11 09:30 - Jean-Philippe Lang

- Related to Defect #21210: Issues and Spent Time of closed subprojects are included on the overview page, but are not included on the issues, gantt

or spent time details/report pages added

#7 - 2018-08-31 09:22 - zhangzhi liao

Konstantin Tkachenko wrote:

I think it could be better to enable filtering by active or closed projects in the issues queries. Just as for the issue status filter criteria (status =>

open, status => closed).

Currently one have to select all the active projects to be able to hide all the closed ones.

 +1

#8 - 2018-08-31 12:26 - Bernhard Rohloff

2025-05-17 1/2

https://www.redmine.org/issues/4202
https://www.redmine.org/issues/3640


+1 for an additional filter criteria

#9 - 2018-10-22 00:23 - Marius BĂLTEANU

- Related to Feature #20081: Filter issues and time entries by project status added

#10 - 2018-10-22 00:31 - Marius BĂLTEANU

- File project_status_filter.png added

I've posted in #20081 two patches that add the possibility to filter issues and time entries after project status.

Moreover, I've worked on a patch that adds the "Project's status" filter to issues and time entries list by default (in the same way as Status filter is

added) in two cases:

the context is global

when the project has subprojects

 project_status_filter.png 

What do you think?

#11 - 2018-10-29 07:20 - Go MAEDA

- Status changed from New to Closed

- Assignee set to Go MAEDA

- Target version set to 4.0.0

- Resolution set to Fixed

Committed the patch posted by Marius. Thanks.

#12 - 2018-10-29 07:22 - Go MAEDA

- Status changed from Closed to New

- Assignee deleted (Go MAEDA)

- Target version deleted (4.0.0)

- Resolution deleted (Fixed)

Go MAEDA wrote:

Committed the patch posted by Marius. Thanks.

 Sorry, I updated the wrong issue.

#13 - 2018-10-30 06:13 - Marius BĂLTEANU

Marius BALTEANU wrote:

[...]

when the project has subprojects

 This condition is not enough because if the project is disabled and it has suprojects, it will be odd to apply by default the Project’s status is active filter.

Maybe it is better to keep the code simpler and apply the filter by default only in the global context.

Waiting for other opinions before posting the patches.

Files

patch-2.1.2-closed_projects.out 2.41 KB 2012-10-19 Oregon State University Central Web Services

project_status_filter.png 254 KB 2018-10-21 Marius BĂLTEANU
